CVC4::DatatypeResolutionException Class Reference

An exception that is thrown when a datatype resolution fails. More...

`#include <datatype.h>`

Inheritance diagram for CVC4::DatatypeResolutionException:
[legend]
Collaboration diagram for CVC4::DatatypeResolutionException:
[legend]

## Public Member Functions

| DatatypeResolutionException (std::string msg)
void | setMessage (const std::string &msg) throw ()
std::string | getMessage () const throw ()
virtual const char * | what () const throw ()
std::string | toString () const throw ()
| Get this exception as a string.
virtual void | toStream (std::ostream &os) const throw ()
| Printing: feel free to redefine toStream().

## Protected Attributes

std::string | d_msg

## Detailed Description

An exception that is thrown when a datatype resolution fails.

Definition at line 87 of file datatype.h.

## Constructor & Destructor Documentation

## DatatypeResolutionException()

CVC4::DatatypeResolutionException::DatatypeResolutionException | ( | std::string | msg | ) |

inline

Definition at line 658 of file datatype.h.

## Member Function Documentation

## getMessage()

std::string CVC4::Exception::getMessage | ( |  | ) | const
throw | ( | ) |  |  |

inlineinherited

Definition at line 47 of file exception.h.

## setMessage()

void CVC4::Exception::setMessage | ( | const std::string & | msg | ) |
throw | ( | ) |  |  |

inlineinherited

Definition at line 46 of file exception.h.

## toStream()

virtual void CVC4::Exception::toStream | ( | std::ostream & | os | ) | const
throw | ( | ) |  |  |

inlinevirtualinherited

Printing: feel free to redefine toStream().

When overridden in a derived class, it's recommended that this method print the type of exception before the actual message.

Reimplemented in CVC4::parser::ParserException, and CVC4::TypeCheckingException.

Definition at line 75 of file exception.h.

## toString()

std::string CVC4::Exception::toString | ( |  | ) | const
throw | ( | ) |  |  |

inlineinherited

Get this exception as a string.

Note that cout << ex.toString(); is subtly different from cout << ex; which is equivalent to ex.toStream(cout); That is because with the latter two, the output language (and other preferences) for exprs on the stream is respected. In toString(), there is no stream, so the parameters are default and you'll get exprs and types printed using the AST language.

Definition at line 64 of file exception.h.

## what()

virtual const char * CVC4::Exception::what | ( |  | ) | const
throw | ( | ) |  |  |

inlinevirtualinherited

Definition at line 50 of file exception.h.

## Field Documentation

## d_msg

std::string CVC4::Exception::d_msg

protectedinherited

Definition at line 34 of file exception.h.

The documentation for this class was generated from the following file:

- src/util/datatype.h